# NWChem NO2 doublet restricted open-shell DFT (BLYP) single point energy

from chemsh       import *
from chemsh.utils import testutils

no2 = Fragment(coords="no2.cjson")

# default functional is 'blyp'
nwchem = NWChem(frag=no2, method="dft", basis="3-21g", scftype="rohf", mult=2)

sp = SP(theory=nwchem, gradients=True)
sp.run()

ecalc = sp.result.energy

# Test result from Tcl-ChemShell
eref = -203.89364487

testutils.validate(ecalc, eref)
